<script lang='tsx'>
import { Component } from 'vue-property-decorator';
import IBIZBOOKDashboardView_layoutBase from './ibizbookdashboard-view-layout-base.vue';

import view_dashboard from '@widgets/ibizbook/usr2-dashboard/usr2-dashboard.vue';
// 基于 @VIEW/实体数据看板视图/VIEW.vue.ftl 生成

@Component({
    components: {
        view_dashboard, 
    },
    beforeRouteEnter: (to: any, from: any, next: any) => {
        next((vm: any) => {
            if(!Object.is(vm.navModel,"route")){
                vm.initNavDataWithTab(vm.viewCacheData);
            }
            vm.$store.commit('addCurPageViewtag', { fullPath: to.fullPath, viewtag: vm.viewtag });
        });
    },
})
export default class IBIZBOOKDashboardView_layout extends IBIZBOOKDashboardView_layoutBase {

}
</script>